def print_matrix(matrix):
   for r in range(8):
       for c in range(8):
           print("{:.2f}".format(matrix[r][c]), end="\t")
       print()

white_pawn_matrix = [[0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00],
                     [0.40,   0.50,   0.50,   0.50,   0.50,   0.50,   0.50,   0.40],
                     [0.05,   0.10,   0.10,   0.10,   0.10,   0.10,   0.10,   0.05],
                     [0.00,   0.00,   0.10,   0.15,   0.15,   0.10,   0.00,   0.00],
                     [0.00,   0.00,   0.15,   0.25,   0.25,   0.15,   0.00,   0.00],
                     [0.00,   0.00,   0.00,   0.05,   0.05,   0.00,   0.00,   0.00],
                     [0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00],
                     [0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00]]

white_knight_matrix = [[-0.1,   0.10,   0.10,   0.10,   0.10,   0.10,   0.10,   -0.1],
                       [0.00,   -0.1,   0.15,   0.20,   0.20,   0.15,   -0.1,   0.00],
                       [0.10,   0.50,   0.50,   1.00,   1.00,   0.50,   0.50,   0.10],
                       [-0.2,   0.00,   0.10,   0.60,   0.60,   0.10,   0.00,   -0.2],
                       [-0.3,   0.00,   0.15,   0.15,   0.15,   0.15,   0.00,   -0.3],
                       [-0.3,   0.00,   0.15,   0.15,   0.15,   0.15,   0.00,   -0.3],
                       [-0.4,   -0.4,   0.00,   0.00,   0.00,   0.00,   -0.4,   -0.4],
                       [-0.5,   -0.3,   -0.3,   -0.3,   -0.3,   -0.3,   -0.3,   -0.5]]

white_bishop_matrix = [[0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00],
                       [0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00],
                       [0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00],
                       [0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00],
                       [0.00,   0.00,   0.10,   0.10,   0.10,   0.10,   0.00,   0.00],
                       [0.00,   0.10,   0.10,   0.10,   0.10,   0.00,   0.00,   0.00],
                       [0.10,   0.10,   0.00,   0.00,   0.00,   0.00,   0.10,   0.10],
                       [0.10,   0.00,   0.00,   0.00,   0.00,   0.00,   0.00,   0.10]]

#black_pawn_matrix = white_pawn_matrix[::-1][:]
black_pawn_matrix = [[-1 * x for x in white_pawn_matrix[::-1][r]] for r in range(len(white_pawn_matrix))]
black_bishop_matrix = [[-1 * x for x in white_bishop_matrix[::-1][r]] for r in range(len(white_bishop_matrix))]
black_knight_matrix = [[-1 * x for x in white_knight_matrix[::-1][r]] for r in range(len(white_knight_matrix))]
